: Interface MatchResult

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jregex
Interface MatchResult

All Known Implementing Classes:
  Matcher

public interface MatchResult

Field Summary
`static int` | `MATCH`
`static int` | `PREFIX`
`static int` | `SUFFIX`
`static int` | `TARGET`

Method Summary
`char` | `charAt(int i)`
`char` | `charAt(int i, int groupNo)`
`int` | `end()`
`int` | `end(int n)`
`boolean` | `getGroup(int n, java.lang.StringBuffer sb)`
`boolean` | `getGroup(int n, TextBuffer tb)`
`boolean` | `getGroup(java.lang.String name, java.lang.StringBuffer sb)`
`boolean` | `getGroup(java.lang.String name, TextBuffer tb)`
`java.lang.String` | `group(int n)`
`java.lang.String` | `group(java.lang.String name)`
`int` | `groupCount()`
`boolean` | `isCaptured()`
`boolean` | `isCaptured(int groupId)`
`boolean` | `isCaptured(java.lang.String groupName)`
`int` | `length()`
`int` | `length(int n)`
`Pattern` | `pattern()`
`java.lang.String` | `prefix()`
`int` | `start()`
`int` | `start(int n)`
`java.lang.String` | `suffix()`
`java.lang.String` | `target()`
`char[]` | `targetChars()`
`int` | `targetEnd()`
`int` | `targetStart()`

Field Detail

### MATCH

    public static final int MATCH

### PREFIX

    public static final int PREFIX

### SUFFIX

    public static final int SUFFIX

### TARGET

    public static final int TARGET

Method Detail

### pattern

    public Pattern pattern()

### groupCount

    public int groupCount()

### isCaptured

    public boolean isCaptured()

### isCaptured

    public boolean isCaptured(int groupId)

### isCaptured

    public boolean isCaptured(java.lang.String groupName)

### group

    public java.lang.String group(int n)

### getGroup

    public boolean getGroup(int n,
                            java.lang.StringBuffer sb)

### getGroup

    public boolean getGroup(int n,
                            TextBuffer tb)

### group

    public java.lang.String group(java.lang.String name)

### getGroup

    public boolean getGroup(java.lang.String name,
                            java.lang.StringBuffer sb)

### getGroup

    public boolean getGroup(java.lang.String name,
                            TextBuffer tb)

### prefix

    public java.lang.String prefix()

### suffix

    public java.lang.String suffix()

### target

    public java.lang.String target()

### targetStart

    public int targetStart()

### targetEnd

    public int targetEnd()

### targetChars

    public char[] targetChars()

### start

    public int start()

### end

    public int end()

### length

    public int length()

### start

    public int start(int n)

### end

    public int end(int n)

### length

    public int length(int n)

### charAt

    public char charAt(int i)

### charAt

    public char charAt(int i,
                       int groupNo)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD